<!DOCTYPE html>
<html lang="ru">
<head>
    <meta charset="utf-8">
    <title>Web6</title>
    <link rel="stylesheet" href="style.css">
</head>
<body>
    <span>Варианты товара:</span>
    <form>
        <select name="prodType">
            <option value="1">Ноутбук</option>
            <option value="2">Шуба</option>
            <option value="3">Футболка</option>
        </select>
        <br><br>
        <div id="radios"> Мех:
            <label><input type="radio" name="prodOptions" value="11">Норка</label>
            <label><input type="radio" name="prodOptions" value="22">Соболь</label>
            <label><input type="radio" name="prodOptions" value="33">Шиншилла </label>
        </div>
        <div id="checkboxes">Цвет:
            <label><input type="checkbox" name="111">Белая</label>
            <label><input type="checkbox" name="222">Черная</label>
        </div>
        <input id="sum" value="1" placeholder="Количество товаров" onchange="updatePrice();">
    </form>

    <div id="prodPrice"> </div>
    <script>
        function updatePrice() {
            let s = document.getElementsByName("prodType");
            let select = s[0];
            let price = 0;
            let prices = getPrices();
            let priceIndex = parseInt(select.value) - 1;
            if (priceIndex >= 0) {
                price = prices.prodTypes[priceIndex];
            }
            let radioDiv = document.getElementById("radios");
            if (select.value == "2") {
                radioDiv.style.display = "block";
                let radios = document.getElementsByName("prodOptions");
                radios.forEach(function (radio) {
                    if (radio.checked) {
                        let optionPrice = prices.prodOptions[radio.value];
                        if (optionPrice !== undefined) {
                            price = optionPrice;
                        }
                    }
                });
            }
            else
                radioDiv.style.display = "none";
            let checkDiv = document.getElementById("checkboxes");
            if (select.value == "3") {
                checkDiv.style.display = "block";
                let checkboxes = document.querySelectorAll("#checkboxes input");
                checkboxes.forEach(function (checkbox) {
                    if (checkbox.checked) {
                        let propPrice = prices.prodProperties[checkbox.name];
                        if (propPrice !== undefined) {
                            price += propPrice;
                        }
                    }
                });
            }
            else {
                checkDiv.style.display = "none";
            }
            let sum = parseInt(document.getElementById("sum").value);
            let prodPrice = document.getElementById("prodPrice");
            prodPrice.innerHTML = price * sum + "$";
        }
        function getPrices() {
            return {
                prodTypes: [750, 2225, 20],
                prodOptions: {
                    22: 5000,
                    33: 6399,
                },
                prodProperties: {
                  111: 5,
                  222: 10,
                }
            };
        }
        window.addEventListener('DOMContentLoaded', function (event) {
            let radioDiv = document.getElementById("radios");
            radioDiv.style.display = "none";
            let s = document.getElementsByName("prodType");
            let select = s[0];
            select.addEventListener("change", function (event) {
                let target = event.target;
                console.log(target.value);
                updatePrice();
            });
            let radios = document.getElementsByName("prodOptions");
            radios.forEach(function (radio) {
                radio.addEventListener("change", function (event) {
                    let r = event.target;
                    console.log(r.value);
                    updatePrice();
                });
            });
            let checkboxes = document.querySelectorAll("#checkboxes input");
            checkboxes.forEach(function (checkbox) {
                checkbox.addEventListener("change", function (event) {
                    let c = event.target;
                    console.log(c.name);
                    console.log(c.value);
                    updatePrice();
                });
            });
            updatePrice();
        });
    </script>
</body>
</html>
